<div class="row">

  <div class="column">
    <div *ngFor="let link of route.links">
      <tn-link-renderer [link]="link"
                        (delete)="deleteFromRoute($event)"></tn-link-renderer>
    </div>

    <div *ngIf="nextPossibleLinks$ | async as nextPossibleLinks">
      <tn-link-renderer *ngFor="let link of nextPossibleLinks; let i = index"
                        [link]="link"
                        [linkSuggestion]="true"
                        [lastElement]="i === nextPossibleLinks.length - 1"
                        (add)="addToRoute($event)">
      </tn-link-renderer>
    </div>

    <div>
      <button mat-raised-button (click)="findNextPossibleLinks()">Find all</button>
    </div>
  </div>
  <div class="column">
    <div class="sticky-information">
      <form [formGroup]="routeFormGroup"
            (ngSubmit)="saveRoute()">
        <mat-form-field>
          <input matInput placeholder="Line" formControlName="lineNo">
        </mat-form-field>
        <mat-form-field>
          <textarea matInput placeholder="Description" formControlName="description"></textarea>
        </mat-form-field>
        <button mat-raised-button type="submit" [disabled]="!routeFormGroup.valid">Save route</button>
      </form>
    </div>
  </div>

</div>
